### Method

# Gegl PathPoint lerp

#### Declaration [src]

    void
    gegl_path_point_lerp (
      GeglPathPoint* dest,
      GeglPathPoint* a,
      GeglPathPoint* b,
      gfloat t
    )

#### Description [src]

Linear interpolation between two `GeglPathPoint`.

This method is not directly available to language bindings.

#### Parameters

`a`

  Type: `GeglPathPoint`

  Origin GeglPathPoint.

  The data is owned by the caller of the method.

`b`

  Type: `GeglPathPoint`

  Destination GeglPathPoint.

  The data is owned by the caller of the method.

`t`

  Type: `gfloat`

  Ratio between `a` and `b`.